<?php

namespace ThurData\Servers\KerioEmail\Core\App\Requirements;

/**
 * Description of Requirements
 *
 * @autor ThurData <info@thurdata.ch>
 */
abstract class RequirementsList
{
    protected $requirementsList = [];

    public function getHandlerInstance()
    {
        $handler = $this->getHandler();
        if (!class_exists($handler))
        {
            return null;
        }

        return new $handler($this->requirementsList);
    }

    abstract function getHandler();
}
